%bcond_without gtkdoc
%bcond_without xvfb

%define api 2
%define major 0
%define libname %mklibname bonoboui %{api} %{major}
%define devname %mklibname bonoboui -d

Summary:	Library for compound documents in GNOME
Name:		libbonoboui
Version:	2.24.5
Release:	10
License:	GPLv2+ and LGPLv2.1+
Group:		System/Libraries
Url:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
%if %{with gtkdoc}
BuildRequires:	gtk-doc
%endif
BuildRequires:	intltool
BuildRequires:	pkgconfig(bonobo-activation-2.0)
BuildRequires:	pkgconfig(gdk-x11-2.0)
BuildRequires:	pkgconfig(libbonobo-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libgnomecanvas-2.0)
BuildRequires:	pkgconfig(libgnome-2.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	perl-XML-Parser
%if %{with xvfb}
BuildRequires:	x11-server-xvfb
%endif
Requires:	%{libname} = %{EVRD}
# To make bonobo-browser work
Requires:	libbonobo

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package contains various needed modules and files for bonobo 2
to operate.

%files -f %{name}-2.0.lang
%doc README NEWS changes.txt
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo-2.0
%{_libdir}/libglade/2.0/*.so
%{_datadir}/gnome-2.0
%{_datadir}/applications/bonobo-browser.desktop

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for compound documents in GNOME
Group:		System/Libraries
Provides:	%{name}%{api} = %{EVRD}

%description -n %{libname}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides libraries to use Bonobo.

%files -n %{libname}
%{_libdir}/libbonoboui-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development libraries, include files and sample code for Bonobo 2
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model;
it includes demonstration executables and codes as well.

%files -n %{devname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/libbonobo*.so
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
%if %{with gtkdoc}
	--enable-gtk-doc
%endif

%make

%install
%makeinstall_std

%find_lang %{name}-2.0

%check
%if %{with xvfb}
xvfb-run -a make check
%else
make check
%endif

%changelog

* Wed Jul 15 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.24.5-10
- (76bf347) Added libbonobo requirement.


